gspell-1.8.3

gspell の概要

gspell パッケージは、GTK+ アプリケーションに対してスペルチェック機能を追加するための柔軟な API を提供します。

本パッケージは LFS-9.0 において正しくビルドでき動作することが確認されています。

パッケージ情報

gspell の依存パッケージ

必須

enchant-2.2.7, GTK+-3.24.13

任意

gobject-introspection-1.62.0, GTK-Doc-1.32, ISO Codes-4.4, Vala-0.46.6, Valgrind-3.15.0

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/gspell

gspell のインストール

以下のコマンドを実行して gspell をビルドします。

./configure --prefix=/usr &&
make

ビルド結果をテストする場合は make check を実行します。 test-checker というテストは、外部パッケージである Hunspell がインストールされていない場合は失敗します。 またテストは X セッション内において実行することが必要です。

root ユーザーになって以下を実行します。

make install

パッケージ構成

インストールプログラム: gspell-appl
インストールライブラリ: libgspell-1.so
インストールディレクトリ: /usr/include/gspell-1, /usr/share/gtk-doc/html/gspell-1.0

最終更新日: 2020-02-17 11:46:23 +0900